# links and ideas

* [info](https://un.curl.dev/) about working in open source
* grep and regex [exercises](https://github.com/learnbyexample/Command-line-text-processing/tree/master/exercises/GNU_grep)
* systemd-nspawn doc and exercises
	* [hub](https://hub.nspawn.org/images/)
	* [tutorial](https://blog.selectel.com/systemd-containers-introduction-systemd-nspawn/)
	* [docker nspawn](https://seanmcgary.com/posts/run-docker-containers-with-systemd-nspawn)
	* [debian](https://wiki.debian.org/nspawn)
	* [arch](https://wiki.archlinux.org/title/systemd-nspawn#Use_a_%22macvlan%22_or_%22ipvlan%22_interface)
	* [systemd-sysext](https://0pointer.net/blog/testing-my-system-code-in-usr-without-modifying-usr.html)
* [history of command line arguments](https://blog.liw.fi/posts/2022/05/07/unix-cli/)
* class on dpkg, apt, and .deb introspection
* class on compiling a simple program, maybe recompiling a kernel
* exercise on how to take a physical system and convert it to a VM
* munin plugin design exercise
* advanced [bash](https://tldp.org/LDP/abs/html/index.html) scripting

## started

* do a mini class on barshrc customisation, prompts, zsh and ohmyzsh
